import type { _INIntent } from "./INIntent.js";
import type { _INSpeakableString } from "./INSpeakableString.js";
import type { _NSArray } from "../Foundation/NSArray.js";
export declare class _INGetReservationDetailsIntent extends _INIntent {
    static alloc(): _INGetReservationDetailsIntent;
    static new(): _INGetReservationDetailsIntent;
    init(): _INGetReservationDetailsIntent;
    initWithReservationContainerReference$reservationItemReferences$(reservationContainerReference: _INSpeakableString | null, reservationItemReferences: _NSArray | null): _INGetReservationDetailsIntent;
    reservationContainerReference(): _INSpeakableString | null;
    reservationItemReferences(): _NSArray | null;
}
